<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($delete)){
  if($id){
    $o_IngresoDiversosBean = new IngresoDiversosBean();
    $o_IngresoDiversosBean->setIdIngreso($id);
    
    $o_IngresoDiversosBean->setUsuarioEliminado(myUser::getUser()->getUserId());
    $o_IngresoDiversosSystemClass = new IngresoDiversosSystemClass($o_IngresoDiversosBean);
    $bResult = $o_IngresoDiversosSystemClass->eliminarIngresoDiversos();
    
    if($bResult){
      ?>
      <script language="JavaScript">
      parent.objMainTab.reqBody('<?=buildUrl('ind/list')?>','001&delete=1&cod=<?=$o_IngresoDiversosBean->getIdIngreso()?>');
      //parent.objMainTab.windowsCloseAll();
      </script>
      <?
      
    }else{
       $url = buildUrl('ind/delete', "block=".$block."&error=1");
    }
  } 
}
